API Docs
YMS API
Carrier/Level 1
POST Update Carrier

POST Update Carrier

Introduction

Updates an existing carrier's information including name, identification numbers, verification status, and organization associations. This API is used when carrier details change or when updating the carrier's operational status. All carrier attributes can be modified except the carrier ID, which remains immutable.

API Request

POST /carrier/{carrierId}/update

Body Request Parameters

{
  "carrierName": "string",
  "scac": [
    "string"
  ],
  "usdot": "string",
  "mcNumber": "string",
  "carrierStatus": "ACTIVE,INACTIVE,EXCEPTION",
  "verified": true,
  "knownName": "string",
  "orgIds": [
    "string"
  ]
}

Request Parameters

NameLocationTypeRequiredDescription
carrierIdpathstringYesnone
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
bodybodyCarrierUpdateCmdNonone

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "carrierId": "",
    "carrierName": "",
    "scac": [
      ""
    ],
    "usdot": "",
    "mcNumber": "",
    "verified": false,
    "createdTime": "",
    "createdBy": "",
    "updatedTime": "",
    "updatedBy": "",
    "carrierStatus": "",
    "knownName": "",
    "orgIds": [
      ""
    ]
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRCarrierView